Node(equipment_id = 'pe_ultrasound.psi.ch',
     description = 'pulse echo ultra sound setup',
     interface = 'tcp://5000',
    )

Mod('f',
    cls = 'frappy_psi.ultrasound.Frequency',
    description = 'ultrasound frequency and acquisition loop',
    uri = 'serial:///dev/ttyS1',
    pars = 'pars',
    pollinterval = 0.1,
    time = 900, # start time
    size = 5000,
    freq = 1.17568e+06,
    basefreq = 4.14902e+07,
    control = False,
    rusmode = False,
    amp = 5.0,
    nr = 1000, #500 #300 #100 #50 #30 #10 #5 #3 #1 #1000 #500 #300 #100 #50 #30 #10 #5 #3 #1 #500
    sr = 32768,      #16384
    plot = True,
    maxstep = 100000,
    bw = 10E6,  #butter worth filter bandwidth
    maxy = 0.7,  # y scale for plot
    curves = 'curves', # module to transmit curves:
    )

Mod('curves',
    cls = 'frappy_psi.ultrasound.Curves',
    description = 't, I, Q and pulse arrays for plot',
    )

Mod('delay',
    cls = 'frappy__psi.dg645.Delay',
    description = 'delay line with 2 channels',
    uri = 'serial:///dev/ttyS2',
    on1 = 1e-9,
    on2 = 1E-9,
    off1 = 400e-9,
    off2 = 600e-9,
    )

Mod('pars',
    cls = 'frappy_psi.ultrasound.Pars',
    description = 'SEA parameters',
    )

def roi(nr, time=None, size=300):
    Mod(f'roi{nr}',
        cls = 'frappy_psi.ultrasound.Roi',
        description = f'I/Q of region {nr}',
        main = 'f',
        time=time or 4000,
        size=size,
        enable=time is not None,
        )

roi(0, 2450)  # you may add size as argument if not default
roi(1, 5950)
roi(2, 9475)
roi(3, 12900)
roi(4, 16100)
roi(5)  # disabled
roi(6)
roi(7)
roi(8)
roi(9)
